Loading...
Searching...
No Matches
singleton.h File Reference
`#include "platform.h"`
`#include "error_handler.h"`
`#include "file_error_numbers.h"`
`#include "memory.h"`
`#include "utility.h"`

Go to the source code of this file.

## Classes

class | etl::singleton_exception
| Base singleton error exception. More...
class | etl::singleton_not_created
| Singleton not created error exception. More...
class | etl::singleton< TObject >
| Creates . More...

## Namespaces

namespace | etl